Welcome to Pandora FMS Community!

Find answers, ask questions, and connect with our community around the world.

Welcome to Pandora FMS Community Forums Community support Pandora RC eHorus and Almalinux/RockyLinux 8 or 9

  • eHorus and Almalinux/RockyLinux 8 or 9

    Posted by Jose on December 29, 2022 at 22:43

    Hello…

    Cannot run ehorus in these distros, getting error related to os version…

    How to troubleshoot it?

    Thanks

    vic replied 1 year, 1 month ago 2 Members · 3 Replies
  • 3 Replies
  • vic

    Administrator
    January 2, 2023 at 13:23
    1273 Karma points
    Community awards: bulb Bright ideas
    Community rank: tentacle_master_icon Tentacle Master
    Like it
    Up
    0
    Down
    Drop it
    ::

    Hi Jose,

    Could you attach the log file of your ehorus agent to see what possible problems you may have?

    Best regards,

    Víc

  • Jose

    Member
    January 5, 2023 at 04:03
    91 Karma points
    Community rank: tentacle-noob-1 Tentacle noob
    Like it
    Up
    0
    Down
    Drop it
    ::

    Hello vic,

    There’s no log file created yet, when i try to launch the service, instantly this error occurs (screenshot attached):

    No version because no distro. at /</usr/bin/ehorus_agent>Linux/Distribution.pm line 131.
    BEGIN failed--compilation aborted at /</usr/bin/ehorus_agent>eHorus/EH.pm line 34.
    BEGIN failed--compilation aborted at ehorus_agent.pl line 24.
    eHorus Agent could not be started.
  • vic

    Administrator
    January 5, 2023 at 10:38
    1273 Karma points
    Community awards: bulb Bright ideas
    Community rank: tentacle_master_icon Tentacle Master
    Like it
    Up
    1
    Down
    Drop it
    ::

    Hi Jose,

    We have managed to replicate the ehorus agent issue for that distribution, I have created an internal ticket for the development team to review.

    Sorry for the inconvenience.

    Best regards,

    Vic